My Project: dgBroadPhase::dgNode Class Reference

My Project

Public Member Functions | Public Attributes | Static Public Attributes | Friends | List of all members
dgBroadPhase::dgNode Class Reference

## Public Member Functions

| dgNode (dgBody *const body)
| dgNode (dgNode *const sibling, dgNode *const myNode)
| dgNode (dgNode *const parent, const dgVector &minBox, const dgVector &maxBox)
| ~dgNode ()
void | SetAABB (const dgVector &minBox, const dgVector &maxBox)

## Public Attributes

dgVector | m_minBox
dgVector | m_maxBox
dgFloat32 | m_surfaceArea
dgBody * | m_body
dgNode * | m_left
dgNode * | m_right
dgNode * | m_parent
dgList< dgNode * >::dgListNode * | m_fitnessNode

## Static Public Attributes

static dgVector | m_broadPhaseScale
static dgVector | m_broadInvPhaseScale

## Friends

class | dgBody
class | dgBroadPhase
class | dgBroadphaseSyncDescriptor
class | dgFitnessList

## Constructor & Destructor Documentation

## § dgNode() [1/3]

dgBroadPhase::dgNode::dgNode | ( | dgBody *const | body | ) |

inline

## § dgNode() [2/3]

dgBroadPhase::dgNode::dgNode | ( | dgNode *const | sibling,
|  | dgNode *const | myNode
| ) |  |

inline

## § dgNode() [3/3]

dgBroadPhase::dgNode::dgNode | ( | dgNode *const | parent,
|  | const dgVector & | minBox,
|  | const dgVector & | maxBox
| ) |  |

inline

## § ~dgNode()

dgBroadPhase::dgNode::~dgNode | ( |  | ) |

inline

## Member Function Documentation

## § SetAABB()

void dgBroadPhase::dgNode::SetAABB | ( | const dgVector & | minBox,
|  | const dgVector & | maxBox
| ) |  |

inline

## Friends And Related Function Documentation

## § dgBody

friend class dgBody

friend

## § dgBroadPhase

friend class dgBroadPhase

friend

## § dgBroadphaseSyncDescriptor

friend class dgBroadphaseSyncDescriptor

friend

## § dgFitnessList

friend class dgFitnessList

friend

## Member Data Documentation

## § m_body

dgBody* dgBroadPhase::dgNode::m_body

## § m_broadInvPhaseScale

dgVector dgBroadPhase::dgNode::m_broadInvPhaseScale

static

## § m_broadPhaseScale

dgVector dgBroadPhase::dgNode::m_broadPhaseScale

static

## § m_fitnessNode

dgList<dgNode*>::dgListNode* dgBroadPhase::dgNode::m_fitnessNode

## § m_left

dgNode* dgBroadPhase::dgNode::m_left

## § m_maxBox

dgVector dgBroadPhase::dgNode::m_maxBox

## § m_minBox

dgVector dgBroadPhase::dgNode::m_minBox

## § m_parent

dgNode* dgBroadPhase::dgNode::m_parent

## § m_right

dgNode* dgBroadPhase::dgNode::m_right

## § m_surfaceArea

dgFloat32 dgBroadPhase::dgNode::m_surfaceArea

The documentation for this class was generated from the following file:

- dynamics.mod/NewtonDynamics/source/physics/dgBroadPhase.cpp